% combine_thwaites_masks

clear
close all
clc

O = load('Thwaites_mask_islands_removed_data.mat');


% Calculate ice mass
for i = 1:length(O.coast_time_all)
    
    % Get years 
    [Y,~,~] = datevec(O.coast_time_all(i));
    
    if Y<2009
        shelf_x{i} = O.shelf_x{i};
        shelf_y{i} = O.shelf_y{i};
    elseif Y>=2009 && Y<2020
        mask = shaperead(['D:/work/Fellowship_Leeds/Data/Calving_front_locations/Thwaites/Thwaites_ShelfArea/' num2str(Y) 'tw_area3.shp']);
        shelf_x{i} = mask.X;
        shelf_y{i} = mask.Y;
    else
        shelf_x{i} = O.shelf_x{i};
        shelf_y{i} = O.shelf_y{i};
    end
    
end

coast_time_all = O.coast_time_all;

save('Thwaites_mask_islands_removed_data_combined.mat','shelf_x','shelf_y','coast_time_all');

cmap = colorcet('Gouldian','N',24);
antbounds('gl','k'); hold on
for i = length(coast_time_all)-1
    plot(shelf_x{i},shelf_y{i},'color','r');
end
set(gca,'XLim',[-1.6258   -1.4789]*1e6);
set(gca,'YLim',[-5.0781   -3.8500]*1e5);

