% consolidate_flux_gates_to_calving_names

clear
close all
clc

load('merged_shelf_GLs_all_200m.mat','GL200');
GL = GL200;
clear GL200;

% Rename some things for consistency with Chad's data
GL(124).Name = 'Riiser-Larsen';
GL(137).Name = 'SmithInlet';
GL(167).Name = 'Wilma/Robert/Downer';
GL(52).Name = 'GeikieInlet';
GL(58).Name = 'Hannan'; % was Hannan_1
GL(68).Name = 'HornBluff';
GL(64).Name = 'Holmes';
GL(83).Name = 'Larsen_F'; % was Larsen_F_1
GL(84).Name = 'Larsen_G'; % was Larsen_F_2
GL(100).Name = 'Moscow_University';
GL(116).Name = 'Prince_Harald'; % was Prince_Harald_1
GL(156).Name = 'Vincennes_Bay'; % was Vincennes_Bay_1
GL(45).Name = 'Fox_Ice_Stream'; % was Fox_2
GL(47).Name = 'Frost'; % was Frost_1

% Delete some shelves where I have multiple but Chad has just one
GL(157:159) = []; % Vincennes_Bay 2-4
GL(117) = []; % Prince_Harald_2
GL(65:67) = []; % Holmes_2, Holmes_3 and Holmes_4
GL(59) = []; % Hannan_2
GL(48:49) = []; % Frost_2 and Frost_3

% And make a copy for saving data and figures
GL(117).Name = 'Riiser_Larsen';
GL(130).Name = 'Smith_Inlet';
GL(157).Name = 'Wilma_Robert_Downer';
GL(50).Name = 'Geikie_Inlet';

% Get all shelf names
for i = 1:numel(GL)
    shelf_names{i} = GL(i).Name;
end

% Save
save('GL_consolidated_200m.mat','GL','shelf_names');
