% consolidate_masks_to_calving_names


clear
close all
clc

addpath(genpath('../'));
addpath(genpath('D:/work/Fellowship_Leeds/Data'));

% make output dirs
mkdir all_years_islands_removed_consolidated

% Load GL structure - contains name and xy coordinates of all shelf
% grounding lines
load('merged_shelf_GLs_all_200m.mat');
GL = GL200;
GL_edit = GL;

% Rename some things for consistency with Chad's data
GL_edit(124).Name = 'Riiser-Larsen';
GL_edit(137).Name = 'SmithInlet';
GL_edit(167).Name = 'Wilma/Robert/Downer';
GL_edit(52).Name = 'GeikieInlet';
GL_edit(58).Name = 'Hannan'; % was Hannan_1
GL_edit(68).Name = 'HornBluff';
GL_edit(64).Name = 'Holmes';
GL_edit(83).Name = 'Larsen_F'; % was Larsen_F_1
GL_edit(84).Name = 'Larsen_G'; % was Larsen_F_2
GL_edit(100).Name = 'Moscow_University';
GL_edit(116).Name = 'Prince_Harald'; % was Prince_Harald_1
GL_edit(156).Name = 'Vincennes_Bay'; % was Vincennes_Bay_1
GL_edit(45).Name = 'Fox_Ice_Stream'; % was Fox_2
GL_edit(47).Name = 'Frost'; % was Frost_1

% Delete some shelves where I have multiple but Chad has just one
GL_edit(157:159) = []; % Vincennes_Bay 2-4
GL_edit(117) = []; % Prince_Harald_2
GL_edit(65:67) = []; % Holmes_2, Holmes_3 and Holmes_4
GL_edit(59) = []; % Hannan_2
GL_edit(48:49) = []; % Frost_2 and Frost_3

% And make a copy for saving data and figures
GL_labels = GL_edit;
GL_labels(117).Name = 'Riiser_Larsen';
GL_labels(130).Name = 'Smith_Inlet';
GL_labels(157).Name = 'Wilma_Robert_Downer';
GL_labels(50).Name = 'Geikie_Inlet';

%% Loop through shelves and consolidate

for i = 1:numel(GL_labels)
    
    sn = GL_labels(i).Name;
    
    if i == 45
        copyfile('all_years_islands_removed/Fox_2_mask_islands_removed_data.mat','all_years_islands_removed_consolidated/Fox_Ice_Stream_mask_islands_removed_data.mat');
    elseif i == 47
        S1 = load('all_years_islands_removed/Frost_1_mask_islands_removed_data.mat');
        S2 = load('all_years_islands_removed/Frost_2_mask_islands_removed_data.mat');
        S3 = load('all_years_islands_removed/Frost_3_mask_islands_removed_data.mat');
        for j = 1:numel(S1.shelf_x)
            x = [S1.shelf_x{j};NaN;S2.shelf_x{j};NaN;S3.shelf_x{j}];
            y = [S1.shelf_y{j};NaN;S2.shelf_y{j};NaN;S3.shelf_y{j}];
            shelf_x{j} = x;
            shelf_y{j} = y;
        end
        coast_time_all = S1.coast_time_all;
        save('all_years_islands_removed_consolidated/Frost_mask_islands_removed_data.mat','shelf_x','shelf_y','coast_time_all');
    elseif i==56
        S1 = load('all_years_islands_removed/Hannan_1_mask_islands_removed_data.mat');
        S2 = load('all_years_islands_removed/Hannan_2_mask_islands_removed_data.mat');
        for j = 1:numel(S1.shelf_x)
            x = [S1.shelf_x{j};NaN;S2.shelf_x{j}];
            y = [S1.shelf_y{j};NaN;S2.shelf_y{j}];
            shelf_x{j} = x;
            shelf_y{j} = y;
        end
        coast_time_all = S1.coast_time_all;
        save('all_years_islands_removed_consolidated/Hannan_mask_islands_removed_data.mat','shelf_x','shelf_y','coast_time_all');
    elseif i==61
        S1 = load('all_years_islands_removed/Holmes_1_mask_islands_removed_data.mat');
        S2 = load('all_years_islands_removed/Holmes_2_mask_islands_removed_data.mat');
        S3 = load('all_years_islands_removed/Holmes_3_mask_islands_removed_data.mat');
        S4 = load('all_years_islands_removed/Holmes_4_mask_islands_removed_data.mat');
        for j = 1:numel(S1.shelf_x)
            x = [S1.shelf_x{j};NaN;S2.shelf_x{j};NaN;S3.shelf_x{j};NaN;S4.shelf_x{j}];
            y = [S1.shelf_y{j};NaN;S2.shelf_y{j};NaN;S3.shelf_x{j};NaN;S4.shelf_x{j}];
            shelf_x{j} = x;
            shelf_y{j} = y;
        end
        coast_time_all = S1.coast_time_all;
        save('all_years_islands_removed_consolidated/Holmes_mask_islands_removed_data.mat','shelf_x','shelf_y','coast_time_all');
    elseif i==62
        copyfile('all_years_islands_removed/Horn_Bluff_mask_islands_removed_data.mat','all_years_islands_removed_consolidated/HornBluff_mask_islands_removed_data.mat');
    elseif i==77
        copyfile('all_years_islands_removed/Larsen_F_1_mask_islands_removed_data.mat','all_years_islands_removed_consolidated/Larsen_F_mask_islands_removed_data.mat');
    elseif i==78
        copyfile('all_years_islands_removed/Larsen_F_2_mask_islands_removed_data.mat','all_years_islands_removed_consolidated/Larsen_G_mask_islands_removed_data.mat');
    elseif i==94
        copyfile('all_years_islands_removed/Moscow_University_1_mask_islands_removed_data.mat','all_years_islands_removed_consolidated/Moscow_University_mask_islands_removed_data.mat');
    elseif i==110
        S1 = load('all_years_islands_removed/Prince_Harald_1_mask_islands_removed_data.mat');
        S2 = load('all_years_islands_removed/Prince_Harald_2_mask_islands_removed_data.mat');
        for j = 1:numel(S1.shelf_x)
            x = [S1.shelf_x{j};NaN;S2.shelf_x{j}];
            y = [S1.shelf_y{j};NaN;S2.shelf_y{j}];
            shelf_x{j} = x;
            shelf_y{j} = y;
        end
        coast_time_all = S1.coast_time_all;
        save('all_years_islands_removed_consolidated/Prince_Harald_mask_islands_removed_data.mat','shelf_x','shelf_y','coast_time_all');
    elseif i==139
        copyfile('all_years_islands_removed/Thwaites_mask_islands_removed_data_combined.mat','all_years_islands_removed_consolidated/Thwaites_mask_islands_removed_data.mat');
    elseif i==149
        S1 = load('all_years_islands_removed/Vincennes_Bay_1_mask_islands_removed_data.mat');
        S2 = load('all_years_islands_removed/Vincennes_Bay_2_mask_islands_removed_data.mat');
        S3 = load('all_years_islands_removed/Vincennes_Bay_3_mask_islands_removed_data.mat');
        S4 = load('all_years_islands_removed/Vincennes_Bay_4_mask_islands_removed_data.mat');
        for j = 1:numel(S1.shelf_x)
            x = [S1.shelf_x{j};NaN;S2.shelf_x{j};NaN;S3.shelf_x{j};NaN;S4.shelf_x{j}];
            y = [S1.shelf_y{j};NaN;S2.shelf_y{j};NaN;S3.shelf_x{j};NaN;S4.shelf_x{j}];
            shelf_x{j} = x;
            shelf_y{j} = y;
        end
        coast_time_all = S1.coast_time_all;
        save('all_years_islands_removed_consolidated/Vincennes_Bay_mask_islands_removed_data.mat','shelf_x','shelf_y','coast_time_all');
    else
        copyfile(['all_years_islands_removed/' sn '_mask_islands_removed_data.mat'],['all_years_islands_removed_consolidated/' sn '_mask_islands_removed_data.mat']);
    end
            
    
end