% consolidate_submarine_melt_to_calving_shelf_names

clear
close all
clc

addpath(genpath('../'));
addpath(genpath('D:/work/Fellowship_Leeds/Data'));

% make output dirs
mkdir individual_shelf_submarine_melt_consolidated

% paolo or adusumilli or noel/livia melt?
basal_melt_source=3; % (1) adusumilli; (2) = paolo; (3) or noel/livia from 2010 onwards for 55 shelves, and paolo elsewhere

% Load GL structure - contains name and xy coordinates of all shelf
% grounding lines
load('merged_shelf_GLs_all_200m.mat');
GL = GL200;
GL_edit = GL;

% Rename some things for consistency with Chad's data
GL_edit(124).Name = 'Riiser-Larsen';
GL_edit(137).Name = 'SmithInlet';
GL_edit(167).Name = 'Wilma/Robert/Downer';
GL_edit(52).Name = 'GeikieInlet';
GL_edit(58).Name = 'Hannan'; % was Hannan_1
GL_edit(68).Name = 'HornBluff';
GL_edit(64).Name = 'Holmes';
GL_edit(83).Name = 'Larsen_F'; % was Larsen_F_1
GL_edit(84).Name = 'Larsen_G'; % was Larsen_F_2
GL_edit(100).Name = 'Moscow_University';
GL_edit(116).Name = 'Prince_Harald'; % was Prince_Harald_1
GL_edit(156).Name = 'Vincennes_Bay'; % was Vincennes_Bay_1
GL_edit(45).Name = 'Fox_Ice_Stream'; % was Fox_2
GL_edit(47).Name = 'Frost'; % was Frost_1

% Delete some shelves where I have multiple but Chad has just one
GL_edit(157:159) = []; % Vincennes_Bay 2-4
GL_edit(117) = []; % Prince_Harald_2
GL_edit(65:67) = []; % Holmes_2, Holmes_3 and Holmes_4
GL_edit(59) = []; % Hannan_2
GL_edit(48:49) = []; % Frost_2 and Frost_3

% And make a copy for saving data and figures
GL_labels = GL_edit;
GL_labels(117).Name = 'Riiser_Larsen';
GL_labels(130).Name = 'Smith_Inlet';
GL_labels(157).Name = 'Wilma_Robert_Downer';
GL_labels(50).Name = 'Geikie_Inlet';

%% Loop through shelves and consolidate

for i = 1:numel(GL_labels)
    
    sn = GL_labels(i).Name;
    
    if i == 45
        if basal_melt_source == 1
            copyfile('individual_shelf_submarine_melt/Fox_2_submarine_melt_timeseries.mat','individual_shelf_submarine_melt_consolidated/Fox_Ice_Stream_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            copyfile('individual_shelf_submarine_melt/Fox_2_submarine_melt_timeseries_paolo.mat','individual_shelf_submarine_melt_consolidated/Fox_Ice_Stream_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            copyfile('individual_shelf_submarine_melt/Fox_2_submarine_melt_timeseries_noel.mat','individual_shelf_submarine_melt_consolidated/Fox_Ice_Stream_submarine_melt_timeseries_noel.mat');
        end
    elseif i == 47
        if basal_melt_source == 1
            S1 = load('individual_shelf_submarine_melt/Frost_1_submarine_melt_timeseries.mat');
            S2 = load('individual_shelf_submarine_melt/Frost_2_submarine_melt_timeseries.mat');
            S3 = load('individual_shelf_submarine_melt/Frost_3_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            S1 = load('individual_shelf_submarine_melt/Frost_1_submarine_melt_timeseries_paolo.mat');
            S2 = load('individual_shelf_submarine_melt/Frost_2_submarine_melt_timeseries_paolo.mat');
            S3 = load('individual_shelf_submarine_melt/Frost_3_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            S1 = load('individual_shelf_submarine_melt/Frost_1_submarine_melt_timeseries_noel.mat');
            S2 = load('individual_shelf_submarine_melt/Frost_2_submarine_melt_timeseries_noel.mat');
            S3 = load('individual_shelf_submarine_melt/Frost_3_submarine_melt_timeseries_noel.mat');
        end
        A_ts = S1.A_ts + S2.A_ts + S3.A_ts;
        balance_melt_flux_ts = S1.balance_melt_flux_ts + S2.balance_melt_flux_ts + S3.balance_melt_flux_ts;
        balance_melt_rate_ts = S1.balance_melt_rate_ts + S2.balance_melt_rate_ts + S3.balance_melt_rate_ts;
        melt_flux_err_ts = S1.melt_flux_err_ts + S2.melt_flux_err_ts + S3.melt_flux_err_ts;
        melt_flux_ts = S1.melt_flux_ts + S2.melt_flux_ts + S3.melt_flux_ts;
        melt_rate_err_ts = S1.melt_rate_err_ts + S2.melt_rate_err_ts + S3.melt_rate_err_ts;
        melt_rate_ts = S1.melt_rate_ts + S2.melt_rate_ts + S3.melt_rate_ts;
        time = S1.time;
        if basal_melt_source == 1
            save('individual_shelf_submarine_melt_consolidated/Frost_submarine_melt_timeseries.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 2
            save('individual_shelf_submarine_melt_consolidated/Frost_submarine_melt_timeseries_paolo.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 3
            melt_source_ts = S1.melt_source_ts;
            save('individual_shelf_submarine_melt_consolidated/Frost_submarine_melt_timeseries_noel.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time','melt_source_ts');
        end
    elseif i==56
        if basal_melt_source == 1
            S1 = load('individual_shelf_submarine_melt/Hannan_1_submarine_melt_timeseries.mat');
            S2 = load('individual_shelf_submarine_melt/Hannan_2_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            S1 = load('individual_shelf_submarine_melt/Hannan_1_submarine_melt_timeseries_paolo.mat');
            S2 = load('individual_shelf_submarine_melt/Hannan_2_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            S1 = load('individual_shelf_submarine_melt/Hannan_1_submarine_melt_timeseries_noel.mat');
            S2 = load('individual_shelf_submarine_melt/Hannan_2_submarine_melt_timeseries_noel.mat');
        end
        A_ts = S1.A_ts + S2.A_ts;
        balance_melt_flux_ts = S1.balance_melt_flux_ts + S2.balance_melt_flux_ts;
        balance_melt_rate_ts = S1.balance_melt_rate_ts + S2.balance_melt_rate_ts;
        melt_flux_err_ts = S1.melt_flux_err_ts + S2.melt_flux_err_ts;
        melt_flux_ts = S1.melt_flux_ts + S2.melt_flux_ts;
        melt_rate_err_ts = S1.melt_rate_err_ts + S2.melt_rate_err_ts;
        melt_rate_ts = S1.melt_rate_ts + S2.melt_rate_ts;
        time = S1.time;
        if basal_melt_source == 1
            save('individual_shelf_submarine_melt_consolidated/Hannan_submarine_melt_timeseries.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 2
            save('individual_shelf_submarine_melt_consolidated/Hannan_submarine_melt_timeseries_paolo.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 3
            melt_source_ts = S1.melt_source_ts;
            save('individual_shelf_submarine_melt_consolidated/Hannan_submarine_melt_timeseries_noel.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time','melt_source_ts');
        end
    elseif i==61
        if basal_melt_source == 1
            S1 = load('individual_shelf_submarine_melt/Holmes_1_submarine_melt_timeseries.mat');
            S2 = load('individual_shelf_submarine_melt/Holmes_2_submarine_melt_timeseries.mat');
            S3 = load('individual_shelf_submarine_melt/Holmes_3_submarine_melt_timeseries.mat');
            S4 = load('individual_shelf_submarine_melt/Holmes_4_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            S1 = load('individual_shelf_submarine_melt/Holmes_1_submarine_melt_timeseries_paolo.mat');
            S2 = load('individual_shelf_submarine_melt/Holmes_2_submarine_melt_timeseries_paolo.mat');
            S3 = load('individual_shelf_submarine_melt/Holmes_3_submarine_melt_timeseries_paolo.mat');
            S4 = load('individual_shelf_submarine_melt/Holmes_4_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            S1 = load('individual_shelf_submarine_melt/Holmes_1_submarine_melt_timeseries_noel.mat');
            S2 = load('individual_shelf_submarine_melt/Holmes_2_submarine_melt_timeseries_noel.mat');
            S3 = load('individual_shelf_submarine_melt/Holmes_3_submarine_melt_timeseries_noel.mat');
            S4 = load('individual_shelf_submarine_melt/Holmes_4_submarine_melt_timeseries_noel.mat');
        end
        % interpolate higher res holmes 1 to holmes 4 timeseries
        S1.A_ts = interp1gap(S1.time,S1.A_ts,S4.time);
        S1.balance_melt_flux_ts = interp1gap(S1.time,S1.balance_melt_flux_ts,S4.time);
        S1.balance_melt_rate_ts = interp1gap(S1.time,S1.balance_melt_rate_ts,S4.time);
        S1.melt_flux_err_ts = interp1gap(S1.time,S1.melt_flux_err_ts,S4.time);
        S1.melt_flux_ts = interp1gap(S1.time,S1.melt_flux_ts,S4.time);
        S1.melt_rate_err_ts = interp1gap(S1.time,S1.melt_rate_err_ts,S4.time);
        S1.melt_rate_ts = interp1gap(S1.time,S1.melt_rate_ts,S4.time);
        S1.time = S4.time;
        % Sum
        A_ts = S1.A_ts + S2.A_ts + S3.A_ts + S4.A_ts;
        balance_melt_flux_ts = S1.balance_melt_flux_ts + S2.balance_melt_flux_ts + S3.balance_melt_flux_ts + S4.balance_melt_flux_ts;
        balance_melt_rate_ts = S1.balance_melt_rate_ts + S2.balance_melt_rate_ts + S3.balance_melt_rate_ts + S4.balance_melt_rate_ts;
        melt_flux_err_ts = S1.melt_flux_err_ts + S2.melt_flux_err_ts + S3.melt_flux_err_ts + S4.melt_flux_err_ts;
        melt_flux_ts = S1.melt_flux_ts + S2.melt_flux_ts + S3.melt_flux_ts + S4.melt_flux_ts;
        melt_rate_err_ts = S1.melt_rate_err_ts + S2.melt_rate_err_ts + S3.melt_rate_err_ts + S4.melt_rate_err_ts;
        melt_rate_ts = S1.melt_rate_ts + S2.melt_rate_ts + S3.melt_rate_ts + S4.melt_rate_ts;
        time = S1.time;
        if basal_melt_source == 1
            save('individual_shelf_submarine_melt_consolidated/Holmes_submarine_melt_timeseries.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 2
            save('individual_shelf_submarine_melt_consolidated/Holmes_submarine_melt_timeseries_paolo.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 3
            melt_source_ts = S4.melt_source_ts;
            save('individual_shelf_submarine_melt_consolidated/Holmes_submarine_melt_timeseries_noel.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time','melt_source_ts');
        end
    elseif i==62
        if basal_melt_source == 1
            copyfile('individual_shelf_submarine_melt/Horn_Bluff_submarine_melt_timeseries.mat','individual_shelf_submarine_melt_consolidated/HornBluff_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            copyfile('individual_shelf_submarine_melt/Horn_Bluff_submarine_melt_timeseries_paolo.mat','individual_shelf_submarine_melt_consolidated/HornBluff_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            copyfile('individual_shelf_submarine_melt/Horn_Bluff_submarine_melt_timeseries_noel.mat','individual_shelf_submarine_melt_consolidated/HornBluff_submarine_melt_timeseries_noel.mat');
        end
    elseif i==77
        if basal_melt_source == 1
            copyfile('individual_shelf_submarine_melt/Larsen_F_1_submarine_melt_timeseries.mat','individual_shelf_submarine_melt_consolidated/Larsen_F_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            copyfile('individual_shelf_submarine_melt/Larsen_F_1_submarine_melt_timeseries_paolo.mat','individual_shelf_submarine_melt_consolidated/Larsen_F_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            copyfile('individual_shelf_submarine_melt/Larsen_F_1_submarine_melt_timeseries_noel.mat','individual_shelf_submarine_melt_consolidated/Larsen_F_submarine_melt_timeseries_noel.mat');
        end
    elseif i==78
        if basal_melt_source == 1
            copyfile('individual_shelf_submarine_melt/Larsen_F_2_submarine_melt_timeseries.mat','individual_shelf_submarine_melt_consolidated/Larsen_G_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            copyfile('individual_shelf_submarine_melt/Larsen_F_2_submarine_melt_timeseries_paolo.mat','individual_shelf_submarine_melt_consolidated/Larsen_G_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            copyfile('individual_shelf_submarine_melt/Larsen_F_2_submarine_melt_timeseries_noel.mat','individual_shelf_submarine_melt_consolidated/Larsen_G_submarine_melt_timeseries_noel.mat');
        end
    elseif i==94
        if basal_melt_source == 1
            copyfile('individual_shelf_submarine_melt/Moscow_University_1_submarine_melt_timeseries.mat','individual_shelf_submarine_melt_consolidated/Moscow_University_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            copyfile('individual_shelf_submarine_melt/Moscow_University_1_submarine_melt_timeseries_paolo.mat','individual_shelf_submarine_melt_consolidated/Moscow_University_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            copyfile('individual_shelf_submarine_melt/Moscow_University_1_submarine_melt_timeseries_noel.mat','individual_shelf_submarine_melt_consolidated/Moscow_University_submarine_melt_timeseries_noel.mat');
        end
    elseif i==110
        if basal_melt_source == 1
            S1 = load('individual_shelf_submarine_melt/Prince_Harald_1_submarine_melt_timeseries.mat');
            S2 = load('individual_shelf_submarine_melt/Prince_Harald_2_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            S1 = load('individual_shelf_submarine_melt/Prince_Harald_1_submarine_melt_timeseries_paolo.mat');
            S2 = load('individual_shelf_submarine_melt/Prince_Harald_2_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            S1 = load('individual_shelf_submarine_melt/Prince_Harald_1_submarine_melt_timeseries_noel.mat');
            S2 = load('individual_shelf_submarine_melt/Prince_Harald_2_submarine_melt_timeseries_noel.mat');
        end
        A_ts = S1.A_ts + S2.A_ts;
        balance_melt_flux_ts = S1.balance_melt_flux_ts + S2.balance_melt_flux_ts;
        balance_melt_rate_ts = S1.balance_melt_rate_ts + S2.balance_melt_rate_ts;
        melt_flux_err_ts = S1.melt_flux_err_ts + S2.melt_flux_err_ts;
        melt_flux_ts = S1.melt_flux_ts + S2.melt_flux_ts;
        melt_rate_err_ts = S1.melt_rate_err_ts + S2.melt_rate_err_ts;
        melt_rate_ts = S1.melt_rate_ts + S2.melt_rate_ts;
        time = S1.time;
        if basal_melt_source == 1
            save('individual_shelf_submarine_melt_consolidated/Prince_Harald_submarine_melt_timeseries.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 2
            save('individual_shelf_submarine_melt_consolidated/Prince_Harald_submarine_melt_timeseries_paolo.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 3
            melt_source_ts = S1.melt_source_ts;
            save('individual_shelf_submarine_melt_consolidated/Prince_Harald_submarine_melt_timeseries_noel.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time','melt_source_ts');
        end
    elseif i==149
        if basal_melt_source == 1
            S1 = load('individual_shelf_submarine_melt/Vincennes_Bay_1_submarine_melt_timeseries.mat');
            S2 = load('individual_shelf_submarine_melt/Vincennes_Bay_2_submarine_melt_timeseries.mat');
            S3 = load('individual_shelf_submarine_melt/Vincennes_Bay_3_submarine_melt_timeseries.mat');
            S4 = load('individual_shelf_submarine_melt/Vincennes_Bay_4_submarine_melt_timeseries.mat');
        elseif basal_melt_source == 2
            S1 = load('individual_shelf_submarine_melt/Vincennes_Bay_1_submarine_melt_timeseries_paolo.mat');
            S2 = load('individual_shelf_submarine_melt/Vincennes_Bay_2_submarine_melt_timeseries_paolo.mat');
            S3 = load('individual_shelf_submarine_melt/Vincennes_Bay_3_submarine_melt_timeseries_paolo.mat');
            S4 = load('individual_shelf_submarine_melt/Vincennes_Bay_4_submarine_melt_timeseries_paolo.mat');
        elseif basal_melt_source == 3
            S1 = load('individual_shelf_submarine_melt/Vincennes_Bay_1_submarine_melt_timeseries_noel.mat');
            S2 = load('individual_shelf_submarine_melt/Vincennes_Bay_2_submarine_melt_timeseries_noel.mat');
            S3 = load('individual_shelf_submarine_melt/Vincennes_Bay_3_submarine_melt_timeseries_noel.mat');
            S4 = load('individual_shelf_submarine_melt/Vincennes_Bay_4_submarine_melt_timeseries_noel.mat');
        end
        A_ts = S1.A_ts + S2.A_ts + S3.A_ts + S4.A_ts;
        balance_melt_flux_ts = S1.balance_melt_flux_ts + S2.balance_melt_flux_ts + S3.balance_melt_flux_ts + S4.balance_melt_flux_ts;
        balance_melt_rate_ts = S1.balance_melt_rate_ts + S2.balance_melt_rate_ts + S3.balance_melt_rate_ts + S4.balance_melt_rate_ts;
        melt_flux_err_ts = S1.melt_flux_err_ts + S2.melt_flux_err_ts + S3.melt_flux_err_ts + S4.melt_flux_err_ts;
        melt_flux_ts = S1.melt_flux_ts + S2.melt_flux_ts + S3.melt_flux_ts + S4.melt_flux_ts;
        melt_rate_err_ts = S1.melt_rate_err_ts + S2.melt_rate_err_ts + S3.melt_rate_err_ts + S4.melt_rate_err_ts;
        melt_rate_ts = S1.melt_rate_ts + S2.melt_rate_ts + S3.melt_rate_ts + S4.melt_rate_ts;
        time = S1.time;
        if basal_melt_source == 1
            save('individual_shelf_submarine_melt_consolidated/Vincennes_Bay_submarine_melt_timeseries.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 2
            save('individual_shelf_submarine_melt_consolidated/Vincennes_Bay_submarine_melt_timeseries_paolo.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time');
        elseif basal_melt_source == 3
            melt_source_ts = S1.melt_source_ts;
            save('individual_shelf_submarine_melt_consolidated/Vincennes_Bay_submarine_melt_timeseries_noel.mat','A_ts','balance_melt_flux_ts','balance_melt_rate_ts','melt_flux_err_ts','melt_flux_ts','melt_rate_err_ts','melt_rate_ts','time','melt_source_ts');
        end
    else
        if basal_melt_source == 1
            copyfile(['individual_shelf_submarine_melt/' sn '_submarine_melt_timeseries.mat'],['individual_shelf_submarine_melt_consolidated/' sn '_submarine_melt_timeseries.mat']);
        elseif basal_melt_source == 2
            copyfile(['individual_shelf_submarine_melt/' sn '_submarine_melt_timeseries_paolo.mat'],['individual_shelf_submarine_melt_consolidated/' sn '_submarine_melt_timeseries_paolo.mat']);
        elseif basal_melt_source == 3
            copyfile(['individual_shelf_submarine_melt/' sn '_submarine_melt_timeseries_noel.mat'],['individual_shelf_submarine_melt_consolidated/' sn '_submarine_melt_timeseries_noel.mat']);
        end
    end
            
    
end
        
    
    
    
    